libcdr::CommonParser Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
libcdr::CommonParser Class Reference

`#include <CommonParser.h>`

Inheritance diagram for libcdr::CommonParser:

## Public Member Functions
| CommonParser (CDRCollector *collector)
virtual | ~CommonParser ()

## Protected Member Functions
double | readCoordinate (librevenge::RVNGInputStream *input, bool bigEndian=false)
unsigned | readUnsigned (librevenge::RVNGInputStream *input, bool bigEndian=false)
unsigned short | readUnsignedShort (librevenge::RVNGInputStream *input, bool bigEndian=false)
int | readInteger (librevenge::RVNGInputStream *input, bool bigEndian=false)
double | readAngle (librevenge::RVNGInputStream *input, bool bigEndian=false)
void | readRImage (unsigned &colorModel, unsigned &width, unsigned &height, unsigned &bpp, std::vector< unsigned > &palette, std::vector< unsigned char > &bitmap, librevenge::RVNGInputStream *input, bool bigEndian=false)
void | readBmpPattern (unsigned &width, unsigned &height, std::vector< unsigned char > &pattern, unsigned length, librevenge::RVNGInputStream *input, bool bigEndian=false)
void | processPath (const std::vector< std::pair< double, double > > &points, const std::vector< unsigned char > &types, CDRPath &path)
void | outputPath (const std::vector< std::pair< double, double > > &points, const std::vector< unsigned char > &types)

## Protected Attributes
CDRCollector * | m_collector
CoordinatePrecision | m_precision

## Private Member Functions
| CommonParser ()
| CommonParser (const CommonParser &)
CommonParser & | operator= (const CommonParser &)

## Constructor & Destructor Documentation

## ◆ CommonParser() [1/3]

libcdr::CommonParser::CommonParser | ( | libcdr::CDRCollector * | collector | ) |

## ◆ ~CommonParser()

libcdr::CommonParser::~CommonParser | ( |  | ) |
| virtual

## ◆ CommonParser() [2/3]

libcdr::CommonParser::CommonParser | ( |  | ) |
| private

## ◆ CommonParser() [3/3]

libcdr::CommonParser::CommonParser | ( | const CommonParser & |  | ) |
| private

## Member Function Documentation

## ◆ operator=()

CommonParser & libcdr::CommonParser::operator= | ( | const CommonParser & |  | ) |
| private

## ◆ outputPath()

void libcdr::CommonParser::outputPath | ( | const std::vector< std::pair< double, double > > & | points,
|  | const std::vector< unsigned char > & | types
| ) |  |
| protected

## ◆ processPath()

void libcdr::CommonParser::processPath | ( | const std::vector< std::pair< double, double > > & | points,
|  | const std::vector< unsigned char > & | types,
|  | CDRPath & | path
| ) |  |
| protected

## ◆ readAngle()

double libcdr::CommonParser::readAngle | ( | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian = `false`
| ) |  |
| protected

## ◆ readBmpPattern()

void libcdr::CommonParser::readBmpPattern | ( | unsigned & | width,
|  | unsigned & | height,
|  | std::vector< unsigned char > & | pattern,
|  | unsigned | length,
|  | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian = `false`
| ) |  |
| protected

## ◆ readCoordinate()

double libcdr::CommonParser::readCoordinate | ( | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian = `false`
| ) |  |
| protected

## ◆ readInteger()

int libcdr::CommonParser::readInteger | ( | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian = `false`
| ) |  |
| protected

## ◆ readRImage()

void libcdr::CommonParser::readRImage | ( | unsigned & | colorModel,
|  | unsigned & | width,
|  | unsigned & | height,
|  | unsigned & | bpp,
|  | std::vector< unsigned > & | palette,
|  | std::vector< unsigned char > & | bitmap,
|  | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian = `false`
| ) |  |
| protected

## ◆ readUnsigned()

unsigned libcdr::CommonParser::readUnsigned | ( | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian = `false`
| ) |  |
| protected

## ◆ readUnsignedShort()

unsigned short libcdr::CommonParser::readUnsignedShort | ( | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian = `false`
| ) |  |
| protected

## Member Data Documentation

## ◆ m_collector

CDRCollector* libcdr::CommonParser::m_collector
| protected

## ◆ m_precision

CoordinatePrecision libcdr::CommonParser::m_precision
| protected

The documentation for this class was generated from the following files:

- CommonParser.h
- CommonParser.cpp